/*	
	Accessible Bracket Suite (ABS) 
	version 1.0 alpha

	bracket.css - bracket styles

	Last updated: March 16, 2013
	
	Developed by Terrill Thompson, http://terrillthompson.com
	Creative Commons License: http://creativecommons.org/licenses/by-nc-sa/1.0/
*/	


.bracket {
	margin-left: 1.5em;
	width: 100%;
}
.bracket { 
	margin-bottom: 3em; 
}
.bracket ol, 
.bracket ul,
.bracket ol ul {  
	list-style-type: none;
	margin: 0;
	padding: 0;
}
.bracket ol li { 
	margin-bottom: 0;
}
.bracket div.region { 
	position: relative; 
	height: 44em; 
}
.bracket div#firstfour { 
	height: 10em; 
}
.bracket div#firstfour ol {
	width: auto;
	margin: 1em 0;
}
.bracket div#firstfour ol > li {
	float: left;
	width: 18em;	
	padding-right: 2em;
}
.bracket div#finalfour { 
	height: 15em;
}

.bracket div.region h2 { 
	margin: 0.75em 0 0;
	padding: 0.5em 0;
	color: #333;
}
.bracket div.region div { /* round */
	position: absolute;
	width: 14em;
	top: 4em;
}
.bracket div.region div h3 { 
	font-size: 0.9em;
	text-align: center;
	min-height: 2.5em;
	margin: 1em 0;
}

.bracket div.col1 { 
}
.bracket div.col2 { 
	left: 14em;
}
.bracket div.col3 { 
	left: 28em;
}
.bracket div.col4 { 
	left: 42em;
}
.bracket div.col5 { 
	left: 56em;
}

/* invisible top border prevents IE from adding margin between lists */
.bracket ol li { 
	border-top: 1px solid #fff;
}
/* general pairing styles, including border lines */
.bracket ol ul li { 
	border-bottom: 1px solid #000;
	margin: 0;
	padding: 0 .25em 0 0.25em;	
	line-height: 2em;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}
.bracket .col5 ol ul li { 
	border-bottom: 0;
}
.bracket li.top { 
	margin-bottom: 0;
}
.bracket li.bottom { 
	border-right: 1px solid #000;
}

/* top margins of the bracket in each column (round) */
.bracket .col2 ol { 
	margin-top: 2em;
}
.bracket .col3 ol { 
	margin-top: 4em;
}
.bracket .col4 ol { 
	margin-top: 8em;
}
.bracket .col5 ol { 
	margin-top: 17.5em;
}
.activeGame { 
	border: 3px double red;
}

/* expand height of each bracket cell for higher rounds 
	by increasing top padding of the bottom team in each pairing
*/ 
.bracket .col2 li.bottom { 
	padding-top: 2.25em;
}
.bracket .col3 li.bottom { 
	padding-top: 6.5em;	
}
.bracket .col4 li.bottom { 
	padding-top: 15.5em;
}

/* expand margin-bottom of each pairing in higher rounds */
.bracket .col2 ol ul { 
	margin-bottom: 2em;
}
.bracket .col3 ol ul { 
	margin-bottom: 6.5em;
}
.bracket .col4 ol ul { 
	/* no adjustment required; only one pairing */
}

/* national champion */
.bracket div#finalfour div.col3 ol { 
	margin-top: 5em;
}
.bracket div#finalfour div.col3 ol li { 
	border-bottom: 1px solid black;
}
.bracket span.score { 
	float: right; 
	padding-right: 0.25em;
}
.bracket li#champion { 
	padding-left: 0.25em;
}
div#champLogo { 
	font-weight: bold;
	margin-top: 5em;
	margin-left: 2em;
}
/* styles from #scores */
#scores ul { 
	list-style-type: none;
}
.winner { 
	font-weight: bold;
}
.winner:after {
	content: " *";
}
.loser { }
.overtimes { 
	color: green;
}

/* Pool bracket styles */
#poolBracketIntro { 
	margin-left: 1.5em;
}
.pick_correct { 
  background-color: #99FFCC;
}
.pick_correct:after { 
  content: " * ";
}
.pick_wrong { 
	text-decoration: line-through;
	background-color: #FF9999;
}

.hidden {
    position: absolute !important;
    clip: rect(1px, 1px, 1px, 1px);
}
